You are Here:
Linux Lite 4.6 Final has been released. See the Release Announcements section for more information.



Google Earth install issue

Author (Read 4009 times)

0 Members and 1 Guest are viewing this topic.

Google Earth install issue
« on: June 28, 2016, 03:07:53 AM »
 

bigskill

  • New to Forums
  • *
  • 40
    Posts
  • Reputation: 4
  • Linux Lite Member
Hi;
I installed google earth using the x32 instructions in the following.
This article may help you it works on LL 2.4 32 bit, but according to your profile you may have issues with graphics and memory for running the program. Older systems with only 256mb memory probably won't have the 3d rendering capability needed.

http://www.noobslab.com/2014/03/install-google-earth-in-ubuntulinux.html
It did not give any errors, but I can not find it in menu or search to see if it works
How do I fix this?
I am using LL 3.0 x32

TIA
 


Re: Google Earth install issue
« Reply #1 on: June 28, 2016, 08:49:38 AM »
 

torreydale

  • PayPal Supporter
  • Platinum Level Poster
  • *****
  • 1481
    Posts
  • Country: us
  • Reputation: 241
  • * Forum Moderator *

  • Linux Lite: 4.6 64bit

  • CPU: Intel Core i5-5300U (-HT-MCP-)

  • MEMORY: 8Gb

  • VIDEO CARD: Intel Broadwell-U Integrated Graphics
I have to ask as someone ignorant to installing Google Earth on Linux Lite, is there something wrong with installing Google Earth from here?  If I wanted to install it, and it wasn't in the repository, that's where I would start.
Want to thank me?  Click my [Thank] link.
 

Re: Google Earth install issue
« Reply #2 on: June 28, 2016, 04:11:14 PM »
 

bigskill

  • New to Forums
  • *
  • 40
    Posts
  • Reputation: 4
  • Linux Lite Member
You probably have more Linux experience than myself.
I tried that, it downloaded a .deb file, but I could not get it to open, corrupt file or file not found.
 

Re: Google Earth install issue
« Reply #3 on: June 28, 2016, 06:19:54 PM »
 

bfb

  • Banned
  • Occasional Poster
  • **
  • 93
    Posts
  • Country: 00
  • Reputation: 5
  • Linux Lite Member

  • Linux Lite: 3.4 64bit

  • CPU: i5

  • MEMORY: 8Gb

  • VIDEO CARD: Nvidia GeForce GTX 970
If you are on Lite 3.0 you will have the problem explained in this link, (that The big problem is Ubuntu 16.04 is missing all the “lsb-*” packages which Google Earth depends on)
 which also gives a fix:

http://blog.pztop.com/2016/04/28/Install-Google-Earth-on-Ubuntu-16-04/
 

Re: Google Earth install issue
« Reply #4 on: June 28, 2016, 08:35:23 PM »
 

bigskill

  • New to Forums
  • *
  • 40
    Posts
  • Reputation: 4
  • Linux Lite Member
OK I tried  that but I am using x32 so I get error
package architecture (amd64) does not match system (i386)

Also I think I need a different ver of Earth.

I dnld i385 ver , opened the folder in terminal
used
sudo dpkg -i google-earth-stable_current_i386.deb
Igot this with errors

al@al-3000-N100:~/Downloads$ sudo dpkg -i google-earth-stable_current_i386.deb
[sudo] password for al:
Selecting previously unselected package google-earth-stable.
(Reading database ... 215759 files and directories currently installed.)
Preparing to unpack google-earth-stable_current_i386.deb ...
Unpacking google-earth-stable (7.1.4.1529-r0) ...
dpkg: dependency problems prevent configuration of google-earth-stable:
 google-earth-stable depends on lsb-core (>= 3.2); however:
  Package lsb-core is not installed.

dpkg: error processing package google-earth-stable (--install):
 dependency problems - leaving unconfigured
Processing triggers for menu (2.1.47ubuntu1) ...
Processing triggers for man-db (2.7.5-1) ...
Processing triggers for desktop-file-utils (0.22-1ubuntu5) ...
Processing triggers for gnome-menus (3.13.3-6ubuntu3) ...
Processing triggers for mime-support (3.59ubuntu1) ...
Errors were encountered while processing:
 google-earth-stable
al@al-3000-N100:~/Downloads$


 

Re: Google Earth install issue
« Reply #5 on: June 29, 2016, 08:32:38 AM »
 

torreydale

  • PayPal Supporter
  • Platinum Level Poster
  • *****
  • 1481
    Posts
  • Country: us
  • Reputation: 241
  • * Forum Moderator *

  • Linux Lite: 4.6 64bit

  • CPU: Intel Core i5-5300U (-HT-MCP-)

  • MEMORY: 8Gb

  • VIDEO CARD: Intel Broadwell-U Integrated Graphics
Want to thank me?  Click my [Thank] link.
 

Re: Google Earth install issue
« Reply #6 on: June 29, 2016, 09:01:43 AM »
 

firenice03

  • Rockin' the FREE World
  • Platinum Level Poster
  • **********
  • 1124
    Posts
  • Country: us
  • Reputation: 222
  • Linux Lite Member

  • Linux Lite: 4.6 64bit

  • CPU: AMD E2//Atom X5//AMD Phenom II X2

  • MEMORY: 4Gb

  • VIDEO CARD: AMD Mullin Radeon R2//Intel//AMD/ATI RS880
@Torreydale - the link is off just a touch (comes up to the reply)..

Not sure but this maybe??... https://www.linuxliteos.com/forums/tutorials/how-to-install-gogle-earth-on-linux-lite-3-0-64-bit/msg24115/#msg24115

@Bigskill - I highlighted the errors to see if it can help where it may be missed:

OK I tried  that but I am using x32 so I get error
package architecture (amd64) does not match system (i386)

dpkg: dependency problems prevent configuration of google-earth-stable:
 google-earth-stable depends on lsb-core (>= 3.2); however:
  Package lsb-core is not installed.

dpkg: error processing package google-earth-stable (--install):
dependency problems - leaving unconfigured

package architecture (amd64) does not match system (i386)
The package is 64bit whereas the system is 32bit - See if there is a 32bit (i386) package
Package lsb-core is not installed
Missing a dependency - This appears to be a common problem with Ubuntu 16.04, see above link to install...
dependency problems - leaving unconfigured
Confirms the line/error above this - aka missing a file will not install...

Hope this helps point in the right direction...
Last Edit: June 29, 2016, 09:17:15 AM by firenice03
LL 4.6 UEFI 64 bit ASUS E402W - AMD E2 (Quad) 1.5Ghz  - 4GB - AMD Mullins Radeon R2
LL 4.6 64 bit HP 6005- AMD Phenom II X2 - 8GB - AMD/ATI RS880 (HD4200)
LL 4.4 UEFI 64 bit Test UEFI Kangaroo (Mobile Desktop) - Atom X5-Z8500 1.44Ghz - 2GB - Intel HD Graphics
LL 3.8 32 bit Dell Inspiron Mini - Atom N270 1.6Ghz - 1GB - Intel Mobile 945GSE Express
RETIRED LL 2.8 64 bit Dell Optiplex 160 (Thin) - Atom 230 1.6Ghz - 4GB-SiS 771/671 PCIE VGA
Running Linux Lite since LL2.2
 

Re: Google Earth install issue
« Reply #7 on: June 29, 2016, 09:27:04 AM »
 

m654321

  • Gold Level Poster
  • *******
  • 856
    Posts
  • Country: gb
  • Reputation: 82
  • Linux Lite Member, 'Advocate' & Donator

  • Linux Lite: 3.8 64bit

  • CPU: Intel Core T7100@1.8GHz (2cores) on a Dell Latitude D630

  • MEMORY: 4Gb

  • VIDEO CARD: Intel GM965/GL960 Integrated Graphics Controller
Might trying an older version of 'Google Earth' work?  E.g. google-earth-6-2-1-6014-beta-es-en-ubu.deb ?
Just a shot in the dark, though this did resolve a 'patchy-pixel' problem I had with the Google Earth images when I
installed the latest version of this package in LL2.8.

Mike
Last Edit: June 30, 2016, 02:30:56 AM by m654321
Linux-user since 2014. 64bit OS installed in Legacy mode on MBR (msdos/ext4) formatted SSDs (except the pi which uses a micro SDHC card):
2017 - Raspberry pi 3B (4cores) ~ Arm710@1.2GHz - LibreElec, used for upgrading our Samsung TV (excellent for the task)  
2012 - Lenovo G580 2689 (2cores; 4threads] ~ i3-3110M - LL3.8/Win8.1 dual-boot (LL working smoothly)
2011 - Samsung NP-N145 Plus (1core; 2threads) ~ Intel Atom N455@1.66GHz - Manjaro (tried LL3 series but lagged)
2008 - Asus X71Q (2cores) ~ Intel T3200@2.0GHz - LL4.4/Win8.1 dual-boot (LL working beautifully)
2007 - Dell Latitude D630 (2cores) ~ Intel T7100@1.8GHz - LL3.8/Win8.1 dual-boot (LL really zippy!) - my daily driver  :-)
 

Re: Google Earth install issue
« Reply #8 on: June 29, 2016, 09:56:21 AM »
 

torreydale

  • PayPal Supporter
  • Platinum Level Poster
  • *****
  • 1481
    Posts
  • Country: us
  • Reputation: 241
  • * Forum Moderator *

  • Linux Lite: 4.6 64bit

  • CPU: Intel Core i5-5300U (-HT-MCP-)

  • MEMORY: 8Gb

  • VIDEO CARD: Intel Broadwell-U Integrated Graphics
Bad copy and paste.  I meant to include this link.  It addresses 32bit.
https://ubuntu-mate.community/t/how-to-install-google-earth-on-ubuntu-16-04/5268
Last Edit: June 29, 2016, 09:58:25 AM by torreydale
Want to thank me?  Click my [Thank] link.
 

Re: Google Earth install issue
« Reply #9 on: June 29, 2016, 03:11:53 PM »
 

bigskill

  • New to Forums
  • *
  • 40
    Posts
  • Reputation: 4
  • Linux Lite Member
Bad copy and paste.  I meant to include this link.  It addresses 32bit.
https://ubuntu-mate.community/t/how-to-install-google-earth-on-ubuntu-16-04/5268

The answer is probably here, but being a linux newb I could not figure the instructions out.
I thought I would try installing the missing packages with synaptic manager, but some were not available ie; lsb-security

using terminal does not seem to do anything
al@al-3000-N100:~/Downloads$ # sudo apt-get update
al@al-3000-N100:~/Downloads$ # sudo apt-get install lsb-invalid-mta
al@al-3000-N100:~/Downloads$

I have the 4 .deb packages dnld to download folder.
They want to open with gdeb package  manager, will that work or should I do something els
 

Re: Google Earth install issue
« Reply #10 on: June 29, 2016, 03:40:55 PM »
 

torreydale

  • PayPal Supporter
  • Platinum Level Poster
  • *****
  • 1481
    Posts
  • Country: us
  • Reputation: 241
  • * Forum Moderator *

  • Linux Lite: 4.6 64bit

  • CPU: Intel Core i5-5300U (-HT-MCP-)

  • MEMORY: 8Gb

  • VIDEO CARD: Intel Broadwell-U Integrated Graphics
Want to thank me?  Click my [Thank] link.
 

Re: Google Earth install issue
« Reply #11 on: June 30, 2016, 12:22:15 AM »
 

bigskill

  • New to Forums
  • *
  • 40
    Posts
  • Reputation: 4
  • Linux Lite Member
That mostly worked!
I now have earth installed but get
Unsupported graphics card
something about graphics card not supporting 3D

Google earth worked on this computer when it was windows.
 

Re: Google Earth install issue
« Reply #12 on: June 30, 2016, 01:53:35 AM »
 

bigskill

  • New to Forums
  • *
  • 40
    Posts
  • Reputation: 4
  • Linux Lite Member
Thank you for your help

More info

al@al-3000-N100:~$ glxinfo | grep '^direct rendering:'
direct rendering: Yes

Which supposedly means 3d is working
It is an
Mobile 945GM/GMS, 943/940GML Express Integrated Graphics Controller


 

Re: Google Earth install issue
« Reply #13 on: June 30, 2016, 09:19:00 AM »
 

torreydale

  • PayPal Supporter
  • Platinum Level Poster
  • *****
  • 1481
    Posts
  • Country: us
  • Reputation: 241
  • * Forum Moderator *

  • Linux Lite: 4.6 64bit

  • CPU: Intel Core i5-5300U (-HT-MCP-)

  • MEMORY: 8Gb

  • VIDEO CARD: Intel Broadwell-U Integrated Graphics
If you haven't already, visit the Video Drivers section of the Help Manual and/or do a web search on your graphics controller and the phrase "Ubuntu 16.04."
Want to thank me?  Click my [Thank] link.
 


Tags:
 


Linux Lite 4.6 Final has been released. See the Release Announcements section for more information.